## abr2gbr 1.0.2

=== Makefile ===
# GIMP Text Colorer GNUMakefile
# Copyright (C) 2000 Marco Lamberto <lm@sunnyspot.org>
# Web page: http://the.sunnyspot.org/gimp/
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

CC				= gcc
CDEBUG		= $(DEBUG) -g #-DDEBUG
CCFLAGS		= -Wall -Wstrict-prototypes -Wmissing-declarations -I. $(CDEBUG)
CLIBS			=
SOURCES		= $(wildcard *.c)

OBJDIR		= .obj
BINDIR		=	/usr/bin
CFLAGS		= $(CCFLAGS) $(shell $(BINDIR)/glib-config --cflags)
LIBS			= $(CLIBS) $(shell $(BINDIR)/glib-config --libs)
DESTS			= $(addprefix $(OBJDIR)/, $(SOURCES:.c=.o))
BIN				= abr2gbr
DEPEND		= $(OBJDIR)/.depend


default: all


$(OBJDIR):
	if [ ! -d $@ ]; then mkdir $@; fi


all: $(OBJDIR) $(OBJDIR)/$(BIN)

$(OBJDIR)/%.o: %.c
	$(CC) -o $@ $(CFLAGS) -c $<

$(OBJDIR)/$(BIN): $(DESTS)
	$(CC) -o $@ $(CFLAGS) $(LIBS) $(DESTS)
	if [ ! -L $(BIN) ]; then \
		ln -s $(OBJDIR)/$(BIN) .; \
		ln -s $(OBJDIR)/$(BIN) jbr2gbr; \
	fi

dep depend:
	$(CC) $(CFLAGS) -M $(SOURCES) > $(DEPEND)

install: $(BIN)
	strip $(BIN)


clean:
	-rm -f core $(DESTS) \
		$(OBJDIR)/$(BIN) $(BIN) $(BIN)-ui \
		$(DEPEND) \
		font_selection jbr2gbr
	-rmdir $(OBJDIR)

cleandests:
	-rm -f core $(DESTS)

# vim: set ts=2 sw=2 tw=79 ai nowrap:

=== debian/changelog ===
abr2gbr (1:1.0.2-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:59:28 +1100

abr2gbr (1:1.0.2-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:28 +0000

abr2gbr (1:1.0.2-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.6.1.
  * debian/watch: Fix uscan monitoring script.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Nov 2022 13:53:50 -0500

abr2gbr (1:1.0.2-4) unstable; urgency=medium

  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
  * debian/rules: Switch to dh sequencer.
  * debian/patches: Use autotools buildsystem. (Closes: #951685)
  * debian/copyright: Rewrite in machine-readable copyright format.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Nov 2021 17:23:43 -0400

abr2gbr (1:1.0.2-3) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #995900)

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Oct 2021 15:30:49 -0400

abr2gbr (1:1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925625)
    - Thanks to Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 17 Feb 2020 21:29:46 +0000

abr2gbr (1:1.0.2-2) unstable; urgency=low

  * updated debian/rules
  * updated debian/copyright
  * fixed the version number
  * patched the makefile with quilt

 -- alice ferrazzi (aliceinwire) <aliceinwire@gnumerica.org>  Tue, 24 Aug 2010 10:01:53 +0200

abr2gbr (1.0.3-1) unstable; urgency=low

  * full sentences (Closes: #544078)
  * man page updated

 -- alice ferrazzi (aliceinwire) <aliceinwire@gnumerica.org>  Tue, 01 Sep 2009 14:35:53 +0200

abr2gbr (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #539023)
  * my first package
  * Fixed debian/rules

 -- alice ferrazzi (aliceinwire) <aliceinwire@gnumerica.org>  Sat, 25 Jul 2009 19:43:53 +0200

=== debian/control ===
Source: abr2gbr
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 pkg-config,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.sunnyspot.org/gimp/tools.html
Vcs-Git: https://salsa.debian.org/debian/abr2gbr.git
Vcs-Browser: https://salsa.debian.org/debian/abr2gbr

Package: abr2gbr
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Converts PhotoShop brushes to GIMP
 abr2gbr is a tool for converting Adobe PhotoShop ABR and Corel Paint Shop Pro
 JBR brush files to the GIMP GBR format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

=== debian/watch ===
version=4
opts="" \
 https://www.sunnyspot.org/gimp/tools.html \
 (?:.*)/abr2gbr-@ANY_VERSION@\.tgz
